﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Media.Imaging.FormatProviders;
using Telerik.Windows.Media.Imaging.Tools;

namespace CustomCropTool
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            using (Stream stream = Application.GetResourceStream(new Uri("CustomCropTool;component/koala.png", UriKind.Relative)).Stream)
            {
                this.editor.Image = new PngFormatProvider().Import(stream);
            }
            this.editor.ExecuteTool(new FixedRatioCropTool());
        }
    }
}
